Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
users
Retrieves a list of repository users accessible to the current logged-in user.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/users
{
  "users": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "isBot": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pingsLeft": 123,
      "reputation": 123,
      "disabledAt": "2023-11-07T05:31:56Z",
      "deletedFromRepoAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Query Parameters

made_comment
boolean | null

Filter the users to only those that made a file or finding comment.

Defaults to include all users (even those who didn't make a comment).

name
string | null

Filter the users by name (search).

Searches based on username and name (as not all users have a username).

Defaults to no filtering.

role
null | enum<string>

Filter by role the user has in the repository. Role of a user in the context of a repository.

Available options:
client,
reviewer,
judge,
triager,
admin
include_deleted
boolean | null

If true include deleted and disabled users.

Defaults to false, i.e. disabled users and users deleted from the repository are not included.

Response

List of repository users

List of repository users.

users
object[]
required

The repository users. Note that only reviewers, judges and triagers are returned. Company users and admins are not included.